# cluttermm Enums and Flags

## Enumerations

enum | Clutter::ActorFlags { Clutter::ACTOR_MAPPED = 1 << 1, Clutter::ACTOR_REALIZED = 1 << 2, Clutter::ACTOR_REACTIVE = 1 << 3, Clutter::ACTOR_VISIBLE = 1 << 4, Clutter::ACTOR_NO_LAYOUT = 1 << 5 }
enum | Clutter::AllocationFlags { Clutter::ALLOCATION_NONE = 0x0, Clutter::ABSOLUTE_ORIGIN_CHANGED = 1 << 1 }
enum | Clutter::PickMode { Clutter::PICK_NONE, Clutter::PICK_REACTIVE, Clutter::PICK_ALL }
enum | Clutter::TextureFlags { Clutter::TEXTURE_NONE = 0x0, Clutter::TEXTURE_RGB_FLAG_BGR = 1 << 1, Clutter::TEXTURE_RGB_FLAG_PREMULT = 1 << 2, Clutter::TEXTURE_YUV_FLAG_YUV2 = 1 << 3 }
enum | Clutter::TextureQuality { Clutter::TEXTURE_QUALITY_LOW, Clutter::TEXTURE_QUALITY_MEDIUM, Clutter::TEXTURE_QUALITY_HIGH }
enum | Clutter::TimelineDirection { Clutter::TIMELINE_FORWARD, Clutter::TIMELINE_BACKWARD }

enum

Clutter::AnimationMode {
Clutter::CUSTOM_MODE,
Clutter::LINEAR,
Clutter::EASE_IN_QUAD,
Clutter::EASE_OUT_QUAD,
Clutter::EASE_IN_OUT_QUAD,
Clutter::EASE_IN_CUBIC,
Clutter::EASE_OUT_CUBIC,
Clutter::EASE_IN_OUT_CUBIC,
Clutter::EASE_IN_QUART,
Clutter::EASE_OUT_QUART,
Clutter::EASE_IN_OUT_QUART,
Clutter::EASE_IN_QUINT,
Clutter::EASE_OUT_QUINT,
Clutter::EASE_IN_OUT_QUINT,
Clutter::EASE_IN_SINE,
Clutter::EASE_OUT_SINE,
Clutter::EASE_IN_OUT_SINE,
Clutter::EASE_IN_EXPO,
Clutter::EASE_OUT_EXPO,
Clutter::EASE_IN_OUT_EXPO,
Clutter::EASE_IN_CIRC,
Clutter::EASE_OUT_CIRC,
Clutter::EASE_IN_OUT_CIRC,
Clutter::EASE_IN_ELASTIC,
Clutter::EASE_OUT_ELASTIC,
Clutter::EASE_IN_OUT_ELASTIC,
Clutter::EASE_IN_BACK,
Clutter::EASE_OUT_BACK,
Clutter::EASE_IN_OUT_BACK,
Clutter::EASE_IN_BOUNCE,
Clutter::EASE_OUT_BOUNCE,
Clutter::EASE_IN_OUT_BOUNCE,
Clutter::ANIMATION_LAST
}

enum | Clutter::RotateDirection { Clutter::ROTATE_CW, Clutter::ROTATE_CCW }
enum | Clutter::RotateAxis { Clutter::X_AXIS, Clutter::Y_AXIS, Clutter::Z_AXIS }
enum | Clutter::Gravity { Clutter::GRAVITY_NONE, Clutter::GRAVITY_NORTH, Clutter::GRAVITY_NORTH_EAST, Clutter::GRAVITY_EAST, Clutter::GRAVITY_SOUTH_EAST, Clutter::GRAVITY_SOUTH, Clutter::GRAVITY_SOUTH_WEST, Clutter::GRAVITY_WEST, Clutter::GRAVITY_NORTH_WEST, Clutter::GRAVITY_CENTER }
enum | Clutter::RequestMode { Clutter::REQUEST_HEIGHT_FOR_WIDTH, Clutter::REQUEST_WIDTH_FOR_HEIGHT }
enum | Clutter::FontFlags { Clutter::FONT_MIPMAPPING = (1 << 0), Clutter::FONT_HINTING = (1 << 1) }
enum | Clutter::TextDirection { Clutter::TEXT_DIRECTION_DEFAULT, Clutter::TEXT_DIRECTION_LTR, Clutter::TEXT_DIRECTION_RTL }

## Functions

ActorFlags | Clutter::operator| (ActorFlags lhs, ActorFlags rhs)
ActorFlags | Clutter::operator& (ActorFlags lhs, ActorFlags rhs)
ActorFlags | Clutter::operator^ (ActorFlags lhs, ActorFlags rhs)
ActorFlags | Clutter::operator~ (ActorFlags flags)
ActorFlags& | Clutter::operator|= (ActorFlags& lhs, ActorFlags rhs)
ActorFlags& | Clutter::operator&= (ActorFlags& lhs, ActorFlags rhs)
ActorFlags& | Clutter::operator^= (ActorFlags& lhs, ActorFlags rhs)
AllocationFlags | Clutter::operator| (AllocationFlags lhs, AllocationFlags rhs)
AllocationFlags | Clutter::operator& (AllocationFlags lhs, AllocationFlags rhs)
AllocationFlags | Clutter::operator^ (AllocationFlags lhs, AllocationFlags rhs)
AllocationFlags | Clutter::operator~ (AllocationFlags flags)
AllocationFlags& | Clutter::operator|= (AllocationFlags& lhs, AllocationFlags rhs)
AllocationFlags& | Clutter::operator&= (AllocationFlags& lhs, AllocationFlags rhs)
AllocationFlags& | Clutter::operator^= (AllocationFlags& lhs, AllocationFlags rhs)
TextureFlags | Clutter::operator| (TextureFlags lhs, TextureFlags rhs)
TextureFlags | Clutter::operator& (TextureFlags lhs, TextureFlags rhs)
TextureFlags | Clutter::operator^ (TextureFlags lhs, TextureFlags rhs)
TextureFlags | Clutter::operator~ (TextureFlags flags)
TextureFlags& | Clutter::operator|= (TextureFlags& lhs, TextureFlags rhs)
TextureFlags& | Clutter::operator&= (TextureFlags& lhs, TextureFlags rhs)
TextureFlags& | Clutter::operator^= (TextureFlags& lhs, TextureFlags rhs)
FontFlags | Clutter::operator| (FontFlags lhs, FontFlags rhs)
FontFlags | Clutter::operator& (FontFlags lhs, FontFlags rhs)
FontFlags | Clutter::operator^ (FontFlags lhs, FontFlags rhs)
FontFlags | Clutter::operator~ (FontFlags flags)
FontFlags& | Clutter::operator|= (FontFlags& lhs, FontFlags rhs)
FontFlags& | Clutter::operator&= (FontFlags& lhs, FontFlags rhs)
FontFlags& | Clutter::operator^= (FontFlags& lhs, FontFlags rhs)

## Enumeration Type Documentation

enum Clutter::ActorFlags

Bitwise operators:
  `ActorFlags operator|(ActorFlags, ActorFlags)`
  `ActorFlags operator&(ActorFlags, ActorFlags)`
  `ActorFlags operator^(ActorFlags, ActorFlags)`
  `ActorFlags operator~(ActorFlags)`
  `ActorFlags& operator|=(ActorFlags&, ActorFlags)`
  `ActorFlags& operator&=(ActorFlags&, ActorFlags)`
  `ActorFlags& operator^=(ActorFlags&, ActorFlags)`

Enumerator:

  ACTOR_MAPPED |
  ACTOR_REALIZED |
  ACTOR_REACTIVE |
  ACTOR_VISIBLE |
  ACTOR_NO_LAYOUT |

enum Clutter::AllocationFlags

Bitwise operators:
  `AllocationFlags operator|(AllocationFlags, AllocationFlags)`
  `AllocationFlags operator&(AllocationFlags, AllocationFlags)`
  `AllocationFlags operator^(AllocationFlags, AllocationFlags)`
  `AllocationFlags operator~(AllocationFlags)`
  `AllocationFlags& operator|=(AllocationFlags&, AllocationFlags)`
  `AllocationFlags& operator&=(AllocationFlags&, AllocationFlags)`
  `AllocationFlags& operator^=(AllocationFlags&, AllocationFlags)`

Enumerator:

  ALLOCATION_NONE |
  ABSOLUTE_ORIGIN_CHANGED |

enum Clutter::AnimationMode

Enumerator:

  CUSTOM_MODE |
  LINEAR |
  EASE_IN_QUAD |
  EASE_OUT_QUAD |
  EASE_IN_OUT_QUAD |
  EASE_IN_CUBIC |
  EASE_OUT_CUBIC |
  EASE_IN_OUT_CUBIC |
  EASE_IN_QUART |
  EASE_OUT_QUART |
  EASE_IN_OUT_QUART |
  EASE_IN_QUINT |
  EASE_OUT_QUINT |
  EASE_IN_OUT_QUINT |
  EASE_IN_SINE |
  EASE_OUT_SINE |
  EASE_IN_OUT_SINE |
  EASE_IN_EXPO |
  EASE_OUT_EXPO |
  EASE_IN_OUT_EXPO |
  EASE_IN_CIRC |
  EASE_OUT_CIRC |
  EASE_IN_OUT_CIRC |
  EASE_IN_ELASTIC |
  EASE_OUT_ELASTIC |
  EASE_IN_OUT_ELASTIC |
  EASE_IN_BACK |
  EASE_OUT_BACK |
  EASE_IN_OUT_BACK |
  EASE_IN_BOUNCE |
  EASE_OUT_BOUNCE |
  EASE_IN_OUT_BOUNCE |
  ANIMATION_LAST |

enum Clutter::FontFlags

Bitwise operators:
  `FontFlags operator|(FontFlags, FontFlags)`
  `FontFlags operator&(FontFlags, FontFlags)`
  `FontFlags operator^(FontFlags, FontFlags)`
  `FontFlags operator~(FontFlags)`
  `FontFlags& operator|=(FontFlags&, FontFlags)`
  `FontFlags& operator&=(FontFlags&, FontFlags)`
  `FontFlags& operator^=(FontFlags&, FontFlags)`

Enumerator:

  FONT_MIPMAPPING |
  FONT_HINTING |

enum Clutter::Gravity

Enumerator:

  GRAVITY_NONE |
  GRAVITY_NORTH |
  GRAVITY_NORTH_EAST |
  GRAVITY_EAST |
  GRAVITY_SOUTH_EAST |
  GRAVITY_SOUTH |
  GRAVITY_SOUTH_WEST |
  GRAVITY_WEST |
  GRAVITY_NORTH_WEST |
  GRAVITY_CENTER |

enum Clutter::PickMode

Enumerator:

  PICK_NONE |
  PICK_REACTIVE |
  PICK_ALL |

enum Clutter::RequestMode

Enumerator:

  REQUEST_HEIGHT_FOR_WIDTH |
  REQUEST_WIDTH_FOR_HEIGHT |

enum Clutter::RotateAxis

Enumerator:

  X_AXIS |
  Y_AXIS |
  Z_AXIS |

enum Clutter::RotateDirection

Enumerator:

  ROTATE_CW |
  ROTATE_CCW |

enum Clutter::TextDirection

Enumerator:

  TEXT_DIRECTION_DEFAULT |
  TEXT_DIRECTION_LTR |
  TEXT_DIRECTION_RTL |

enum Clutter::TextureFlags

Bitwise operators:
  `TextureFlags operator|(TextureFlags, TextureFlags)`
  `TextureFlags operator&(TextureFlags, TextureFlags)`
  `TextureFlags operator^(TextureFlags, TextureFlags)`
  `TextureFlags operator~(TextureFlags)`
  `TextureFlags& operator|=(TextureFlags&, TextureFlags)`
  `TextureFlags& operator&=(TextureFlags&, TextureFlags)`
  `TextureFlags& operator^=(TextureFlags&, TextureFlags)`

Enumerator:

  TEXTURE_NONE |
  TEXTURE_RGB_FLAG_BGR |
  TEXTURE_RGB_FLAG_PREMULT |
  TEXTURE_YUV_FLAG_YUV2 |

enum Clutter::TextureQuality

Enumerator:

  TEXTURE_QUALITY_LOW |
  TEXTURE_QUALITY_MEDIUM |
  TEXTURE_QUALITY_HIGH |

enum Clutter::TimelineDirection

Enumerator:

  TIMELINE_FORWARD |
  TIMELINE_BACKWARD |

## Function Documentation

FontFlags Clutter::operator& | ( | FontFlags | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags Clutter::operator& | ( | TextureFlags | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags Clutter::operator& | ( | AllocationFlags | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags Clutter::operator& | ( | ActorFlags | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags& Clutter::operator&= | ( | FontFlags & | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags& Clutter::operator&= | ( | TextureFlags & | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags& Clutter::operator&= | ( | AllocationFlags & | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags& Clutter::operator&= | ( | ActorFlags & | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags Clutter::operator^ | ( | FontFlags | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags Clutter::operator^ | ( | TextureFlags | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags Clutter::operator^ | ( | AllocationFlags | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags Clutter::operator^ | ( | ActorFlags | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags& Clutter::operator^= | ( | FontFlags & | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags& Clutter::operator^= | ( | TextureFlags & | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags& Clutter::operator^= | ( | AllocationFlags & | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags& Clutter::operator^= | ( | ActorFlags & | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags Clutter::operator| | ( | FontFlags | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags Clutter::operator| | ( | TextureFlags | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags Clutter::operator| | ( | AllocationFlags | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags Clutter::operator| | ( | ActorFlags | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags& Clutter::operator|= | ( | FontFlags & | lhs,
|  | FontFlags | rhs |
| ) |  |  | `[inline]`

TextureFlags& Clutter::operator|= | ( | TextureFlags & | lhs,
|  | TextureFlags | rhs |
| ) |  |  | `[inline]`

AllocationFlags& Clutter::operator|= | ( | AllocationFlags & | lhs,
|  | AllocationFlags | rhs |
| ) |  |  | `[inline]`

ActorFlags& Clutter::operator|= | ( | ActorFlags & | lhs,
|  | ActorFlags | rhs |
| ) |  |  | `[inline]`

FontFlags Clutter::operator~ | ( | FontFlags | flags | ) | `[inline]`

TextureFlags Clutter::operator~ | ( | TextureFlags | flags | ) | `[inline]`

AllocationFlags Clutter::operator~ | ( | AllocationFlags | flags | ) | `[inline]`

ActorFlags Clutter::operator~ | ( | ActorFlags | flags | ) | `[inline]`